%global pypi_name pytest-forked

Summary:        py.test plugin for running tests in isolated forked subprocesses
Name:           python-%{pypi_name}
Version:        1.6.0
Release:        4%{?dist}
License:        MIT
URL:            https://github.com/pytest-dev/pytest-forked
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist py pytest setuptools setuptools_scm}

BuildArch:      noarch

%description
The pytest-forked plugin extends py.test by adding an option to run tests in isolated forked
subprocesses. This is useful if you have tests involving C or C++ libraries that might crash the
process. To use the plugin, simply use the --forked argument when invoking py.test.

%package -n     python3-%{pypi_name}
Summary:        py.test plugin for running tests in isolated forked subprocesses
Requires:       %{py3_dist py}

%description -n python3-%{pypi_name}
The pytest-forked plugin extends py.test by adding an option to run tests in isolated forked
subprocesses. This is useful if you have tests involving C or C++ libraries that might crash the
process. To use the plugin, simply use the --forked argument when invoking py.test.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%license LICENSE
%doc example/boxed.txt README.rst
%{python3_sitelib}/pytest_forked*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-4
- Rebuilt for loongarch release

* Wed Sep 20 2023 Shuo Wang <abushwang@tencent.com> - 1.6.0-3
- Rebuilt for python 3.11

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-2
- Rebuilt for python 3.11

* Mon Sep 11 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.6.0-1
- Upgrade to upstream version 1.6.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 10 2023 Shuo Wang <abushwang@tencent.com> - 1.4.0-1
- initial build
